/** \file
 *  \brief This file defines the interface to the capacitive touch sensing used by this software.
 *
 */

#ifndef HW_CAPSENSE_H
#define HW_CAPSENSE_H

#ifdef __cplusplus
extern "C" {
#endif

/* Preprocessor and Type Definitions */

#define HW_CAPSENSE_TASK_STACK_SIZE_in_bytes   128

typedef enum
{
    HW_CAPSENSE_BUTTON_ONE,
    HW_CAPSENSE_BUTTON_TWO
} HW_CapSenseButton_T;

/* Include Files */

/* Public Variables */

//! Handle of the HW_CapSense_Task() given when the task was created.
extern TaskHandle_t HW_CapSense_Task_Handle;

/* Public Functions */
void HW_CapSense_Init(void);
void HW_CapSense_Task(void * pvParameters);
bool HW_IsCapsenseButtonPressed(HW_CapSenseButton_T button);

#ifdef __cplusplus
}
#endif

#endif // HW_CAPSENSE_H

